Page MenuHomePhabricator

Set up continuous integration for VideoCutTool
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2020, 5:03 AM

Change 569352 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[integration/config@master] Add labs/tools/VideoCutTool

https://gerrit.wikimedia.org/r/569352

Change 569352 merged by jenkins-bot:
[integration/config@master] Add labs/tools/VideoCutTool

https://gerrit.wikimedia.org/r/569352

Mentioned in SAL (#wikimedia-releng) [2020-02-03T22:53:22Z] <James_F> Zuul: Add CI for labs/tools/VideoCutTool T244079

Change 569697 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[integration/config@master] Add labs/tools/video-cut-tool-back-end

https://gerrit.wikimedia.org/r/569697

Change 569696 had a related patch set uploaded (by Gopavasanth; owner: Jforrester):
[integration/config@master] Add labs/tools/video-cut-tool-back-end

https://gerrit.wikimedia.org/r/569696

Change 569696 abandoned by Gopavasanth:
Add labs/tools/video-cut-tool-back-end

Reason:
duplicate patch of https://gerrit.wikimedia.org/r/#/c/integration/config/ /569697/

https://gerrit.wikimedia.org/r/569696

Hi there, I don't see any tox.ini file in your repo. You have configured CI to run tox, but not told tox what it should actually test. Inspire by labs/tools/watch-translations's tox.ini for instance.

Change 570936 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Follow-up 5e35c61: Zuul: [labs/tools/VideoCutTool] Switch from tox to node

https://gerrit.wikimedia.org/r/570936

Change 570936 merged by jenkins-bot:
[integration/config@master] Follow-up 5e35c61: Zuul: [labs/tools/VideoCutTool] Switch from tox to node

https://gerrit.wikimedia.org/r/570936

Mentioned in SAL (#wikimedia-releng) [2020-02-07T19:01:29Z] <James_F> Zuul: [labs/tools/VideoCutTool] Switch from tox to node T244079

Change 569697 merged by jenkins-bot:
[integration/config@master] Zuul: [labs/tools/video-cut-tool-back-end] Add node10 CI

https://gerrit.wikimedia.org/r/569697

Mentioned in SAL (#wikimedia-releng) [2020-02-07T19:10:52Z] <James_F> Zuul: [labs/tools/video-cut-tool-back-end] Add node10 CI T244079

Gopavasanth closed this task as Resolved.Feb 17 2020, 4:05 PM
Gopavasanth reopened this task as Open.Mar 22 2020, 8:01 AM
Gopavasanth updated the task description. (Show Details)

Change 582555 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[integration/config@master] Zuul: [labs/tools/video-cut-tool-worker] Add node10 CI

https://gerrit.wikimedia.org/r/582555

Change 582555 merged by jenkins-bot:
[integration/config@master] Zuul: [labs/tools/video-cut-tool-worker] Add node10 CI

https://gerrit.wikimedia.org/r/582555

Gopavasanth closed this task as Resolved.Apr 1 2020, 9:52 AM
Gopavasanth updated the task description. (Show Details)